{% extends "ajax/soul/shell.html.twig" %}
{% block title %}{{'Die Zukunft'|trans({}, 'game')|raw}}{% endblock %}
{% block menu_text %}
    {{ parent() }}
{% endblock %}
{% block soul_content %}

    {% include "ajax/soul/future_shell.html.twig" with { future_tab: "future" } %}

    {% if selected is null %}
        COMING SOON
    {% else %}
    {% if has_polls %}
        <div class="row">
            <div class="cell padded rw-12">
                <div class="help">
                    <b>{{ 'Schon gewusst?'|trans({},'global') }}</b>
                    {{ 'Um den Kurs für die Weiterentwicklung von MyHordes zu bestimmen, führen wir regelmäßig Umfragen mit allen Spielern durch. Klicke den folgenden Button, um zu einer Übersicht aller aktuellen und vergangenen Umfragen zu gelangen.'|trans({},'soul') }}
                    <div class="right"><button x-ajax-href="{{ path('soul_polls') }}" class="small inline">{{ 'Zu den Umfragen'|trans({},'soul') }}</button></div>
                </div>
            </div>
        </div>
    {% endif %}
    <div class="news">
        <div class="head">
            <div class="title center hide-lg hide-md hide-sm"><img alt="" src="{{ asset('build/images/log/build.gif') }}" /><span class="title-content">{{selected.title}}</span><img alt="" src="{{ asset('build/images/log/build.gif') }}" /></div>
        </div>
        <div class="title center hide-desktop"><img alt="" src="{{ asset('build/images/log/build.gif') }}" /><span class="title-content">{{selected.title}}</span><img alt="" src="{{ asset('build/images/log/build.gif') }}" /></div>
        <div class="version">
            {{"Version"|trans({}, 'soul')}} {{selected.version}}
        </div>
        {% if news|length > 1 %}
        <div class="row">
            <div class="center version-list">
                <p><label for="change_version">{{'Hier findet ihr alle vorangegangenen Updates:'|trans({}, 'soul')}}</label></p>
                <select id="change_version">
                    {% for new in news %}
                        <option {% if selected.id == new.id %}selected="selected"{% endif%} value="{{ path('soul_future', {id: new.id}) }}">{{"Version"|trans({}, 'soul')}} {{new.version}} - {{new.title}}</option>
                    {% endfor %}
                </select>
            </div>
        </div>
        {% endif %}
        <div class="row forum-post">
            <div class="forum-post-content content" style="min-height: 155px;">
                {{selected.text|raw}}
            </div>
        </div>
    </div>
    {% endif %}
{% endblock %}
{% block js %}
    {{parent()}}
    <script>
        $.html.addEventListenerAll('#change_version', 'change', function (e,elem) {
            $.ajax.load(null, elem.value);
        });
    </script>
{% endblock %}